%define module_name Dir-Project
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(Pod/Usage.pm) perl(Sys/Hostname.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.026
Release: alt1
Summary: Determine utility paths relative to version controlled directories
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WS/WSNYDER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Dir::Project manpage provides a way to locate a source-controlled directory
(CVS, Subversion, Perforce, Git, etc) using only the current working
directory (cd).  This prevents users from having to set other environment
variables when they switch between areas.

Project_bin allows a single symlink to a user script to be placed in a
global PATH.  Project_bin then automatically finds that script inside the
source controlled area.  Different users, or different checkouts will
execute the script in their areas.  Thus, problems with version mismatch
across executing tools are eliminated.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Aug 14 2017 Igor Vlasenko <viy@altlinux.ru> 3.026-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 3.025-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 3.024-alt1
- initial import by package builder

